package com.yd.api.practitioner.service;

import com.yd.dal.entity.customer.AclPractitioner;

import java.util.Map;

public interface PractitionerHiringContractService {

    String generatePractitionerContract(AclPractitioner practitioner) throws Exception;

    Map<String, String> initHiringBasicInfoData(Long hiringBasicInfoId, String contractNo);

    Map<String, String> initHiringImageInfoData(Long hiringBasicInfoId, String signImage);

    String generatePractitionerPDF(AclPractitioner practitioner, String signImage, Map<String, String> initDatas, Map<String, String> initImages) throws Exception;

    String getNextContractNo();
}